package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_SR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunGL_Registry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_GL_Loading", 5, true);
		{//start
			mod.dollgun_m79	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m79")
					.setRegistryName(mod.MOD_ID, "dollgun_m79").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m79;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/gl/m79.txt");
				LoadDollStatus.load(gun, mod, event, status, "gl/m79.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m79;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m79);
		    {
				 mod.core_m79	= new ItemDollCore(130, mod.dollgun_m79,  null).setUnlocalizedName("core_m79")
				    		.setRegistryName(mod.MOD_ID, "core_m79").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m79;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m79;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_m79;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_m79);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m79;
		    	gun.doll_core = mod.core_m79;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_m320	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m320")
					.setRegistryName(mod.MOD_ID, "dollgun_m320").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m320;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/gl/m320.txt");
				LoadDollStatus.load(gun, mod, event, status, "gl/m320.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m320;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m320);
		    {
				 mod.core_m320	= new ItemDollCore(130, mod.dollgun_m320,  null).setUnlocalizedName("core_m320")
				    		.setRegistryName(mod.MOD_ID, "core_m320").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m320;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m320;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_m320;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_m320);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m320;
		    	gun.doll_core = mod.core_m320;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_xm25	= new ItemDollGun_SR().setUnlocalizedName("dollgun_xm25")
					.setRegistryName(mod.MOD_ID, "dollgun_xm25").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_xm25;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/gl/xm25.txt");
				LoadDollStatus.load(gun, mod, event, status, "gl/xm25.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_xm25;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_xm25);
		    {
				 mod.core_xm25	= new ItemDollCore(130, mod.dollgun_xm25,  null).setUnlocalizedName("core_xm25")
				    		.setRegistryName(mod.MOD_ID, "core_xm25").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_xm25;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_xm25;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_xm25;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_xm25);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_xm25;
		    	gun.doll_core = mod.core_xm25;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_lmt_m203_12inch	= new ItemDollGun_SR().setUnlocalizedName("dollgun_lmt_m203_12inch")
					.setRegistryName(mod.MOD_ID, "dollgun_lmt_m203_12inch").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lmt_m203_12inch;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/gl/lmt_m203_12inch.txt");
				LoadDollStatus.load(gun, mod, event, status, "gl/lmt_m203_12inch.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_lmt_m203_12inch;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_lmt_m203_12inch);
		    {
				 mod.core_lmt_m203_12inch	= new ItemDollCore(130, mod.dollgun_lmt_m203_12inch,  null).setUnlocalizedName("core_lmt_m203_12inch")
				    		.setRegistryName(mod.MOD_ID, "core_lmt_m203_12inch").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_lmt_m203_12inch;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lmt_m203_12inch;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_lmt_m203_12inch;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_lmt_m203_12inch);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lmt_m203_12inch;
		    	gun.doll_core = mod.core_lmt_m203_12inch;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_lmt_shorty_40	= new ItemDollGun_SR().setUnlocalizedName("dollgun_lmt_shorty_40")
					.setRegistryName(mod.MOD_ID, "dollgun_lmt_shorty_40").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lmt_shorty_40;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/gl/lmt_shorty_40.txt");
				LoadDollStatus.load(gun, mod, event, status, "gl/lmt_shorty_40.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_lmt_shorty_40;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_lmt_shorty_40);
		    {
				 mod.core_lmt_shorty_40	= new ItemDollCore(130, mod.dollgun_lmt_shorty_40,  null).setUnlocalizedName("core_lmt_shorty_40")
				    		.setRegistryName(mod.MOD_ID, "core_lmt_shorty_40").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_lmt_shorty_40;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lmt_shorty_40;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_lmt_shorty_40;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_lmt_shorty_40);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lmt_shorty_40;
		    	gun.doll_core = mod.core_lmt_shorty_40;
		    }
		}bar.step("gun load");//end
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
